Bug 87463 - [UPDATE] devel/rubygem-rake 0.5.4 --> 0.6.2 and fix www/rubygem-rails
Summary: [UPDATE] devel/rubygem-rake 0.5.4 --> 0.6.2 and fix www/rubygem-rails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-14 22:20 UTC by Jonathan Weiss
Modified: 2005-10-31 10:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.17 KB, patch)
2005-10-14 22:20 UTC, Jonathan Weiss
no flags Details | Diff
file.diff (786 bytes, patch)
2005-10-14 22:20 UTC, Jonathan Weiss
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Weiss 2005-10-14 22:20:15 UTC
Updates rake to 0.6.2 and updates the dependency in www/rubygem-rails/Makefile

How-To-Repeat: Install the patch from
http://blog.innerewut.de/files/patches/rubygem-rake.patch
http://blog.innerewut.de/files/patches/rubygem-rails.patch
Comment 1 Edwin Groothuis freebsd_committer 2005-10-16 03:03:58 UTC
State Changed
From-To: open->feedback




Comment 2 Edwin Groothuis freebsd_committer 2005-10-16 03:03:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

handle it.
Comment 3 Edwin Groothuis freebsd_committer 2005-10-16 03:14:13 UTC
Can you please check the pkg-plist of the new port? I'm getting a
lot of unknown files in the pkg-plist and a lot of not-known files
after the deinstallation.

-- 
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 4 Jonathan Weiss 2005-10-16 10:47:40 UTC
Cheers,


I do not get the missing files errors:
bsd:/usr/ports/devel# patch -p0 < rubygem-rake.patch
bsd:/usr/ports/devel# cd rubygem-rake
bsd:/usr/ports/devel/rubygem-rake# make package
===>  Vulnerability check disabled, database not found
=> rake-0.6.2.gem doesn't seem to exist in /usr/ports/distfiles/rubygem.
=> Attempting to fetch from http://rubyforge.org/frs/download.php/6356/.
rake-0.6.2.gem                                100% of   63 kB   56 kBps
===>  Extracting for rubygem-rake-0.6.2
=> Checksum OK for rubygem/rake-0.6.2.gem.
===>  Patching for rubygem-rake-0.6.2
===>   rubygem-rake-0.6.2 depends on file: /usr/local/bin/gem - found
===>  Configuring for rubygem-rake-0.6.2
===>  Installing for rubygem-rake-0.6.2
===>   rubygem-rake-0.6.2 depends on file: /usr/local/bin/gem - found
===>   Generating temporary packing list
===>  Checking if devel/rubygem-rake already installed
/usr/local/bin/gem install --install-dir /usr/local/lib/ruby/gems/1.8 
/usr/ports/distfiles/rubygem/rake-0.6.2.gem
Attempting local installation of 
'/usr/ports/distfiles/rubygem/rake-0.6.2.gem'
Successfully installed rake, version 0.6.2
Installing RDoc documentation for rake-0.6.2...
===>   Registering installation for rubygem-rake-0.6.2
===>  Building package for rubygem-rake-0.6.2
Creating package /usr/ports/devel/rubygem-rake/rubygem-rake-0.6.2.tbz
Registering depends: ruby18-gems-0.8.11 ruby-1.8.2_4.
Creating bzip'd tar ball in 
'/usr/ports/devel/rubygem-rake/rubygem-rake-0.6.2.tbz'
bsd:/usr/ports/devel# make deinstall clean
===>  Deinstalling for devel/rubygem-rake
===>   Deinstalling rubygem-rake-0.6.2
===>  Cleaning for ruby18-gems-0.8.11
===>  Cleaning for ruby-1.8.2_4
===>  Cleaning for rubygem-rake-0.6.2


Maybe the patch did not apply on your machine?

Regards,
Jonathan

-- 
Jonathan Weiss
http://blog.innerewut.de
Comment 5 Edwin Groothuis freebsd_committer 2005-10-31 10:40:47 UTC
State Changed
From-To: feedback->closed

Committed, thanks!